stages:
    - BackEnd
    - FrontEnd
    - PerfTest
    - QualityCode

variables:
    MOUNT_POINT: /builds/$CI_PROJECT_PATH/test/RobotFrameWork/

Postman:
    stage: BackEnd
    image: 
        name: postman/newman
        entrypoint: [""]
    script:
        - newman run ./test/Postman/testapi.json

RobotFramework:
    stage: FrontEnd
    image: docker:latest
    services:
        - docker:dind
    script: 
        docker run --shm-size=1g -v "$MOUNT_POINT":/opt/robotframework/reports:Z -v "$MOUNT_POINT":/opt/robotframework/tests:Z -e BROWSER=chrome --user=1001:1001 ppodgorsek/robot-framework:latest 

Playwright:
    stage: FrontEnd
    image: mcr.microsoft.com/playwright:focal
    script: 
        - cd ./test/Playwright
        - npm install
        - npm test
    needs: ["RobotFramework"]
    when: on_failure

K6:
    stage: PerfTest
    image:
        name: loadimpact/k6:latest
        entrypoint: [""]
    script:
        - k6 run ./test/k6/loadtest.js


gitLeaks:
    stage: QualityCode
    image:
        name: zricethezav/gitleaks
        entrypoint: [""]
    script: 
        gitleaks repo-url=https://gitlab.com/miska.kadlec/workshop-gitlab-mika -v


speedIo:
   stage: QualityCode
   image: sitespeedio/sitespeed.io
   script: 
       docker run --cap-add=NET_ADMIN --rm -e REPLAY=true -e LATENCY=100 \ sitespeedio/sitespeed.io https://procesor2017.github.io/gitHubWorkShop/ \ -n 1 -b chrome
